package com.github.gkutiel.flip.plugin;

import java.util.Set;

import javax.lang.model.type.TypeMirror;

import com.github.gkutiel.flip.apt.Command;
import com.github.gkutiel.flip.apt.Path;
import com.github.gkutiel.flip.apt.Response;

public class CommandMethod {

	public final TypeMirror clazz;
	public final boolean isFliplet;
	public final Set<Method> filters;
	public final Method method;
	public final Path path;
	public final Command command;
	public final Response response;

	// @formatter:off
	public CommandMethod(
		final TypeMirror clazz, 
		final boolean isFliplet, 
		final Set<Method> filters, 
		final Method method, 
		final Path path, 
		final Command command, 
		final Response response
	){
		this.clazz = clazz;
		this.isFliplet = isFliplet;
		this.filters = filters;
		this.method = method;
		this.path = path;
		this.command = command;
		this.response = response;
	}
	//@formatter:on
}